# Poco

# template < class TArgs, bool useSender = true, bool senderIsConst = true >

# class FunctionPriorityDelegate

Library: Foundation
Package: Events
Header: Poco/FunctionPriorityDelegate.h

## Description

Wraps a freestanding function or static member function for use as a PriorityDelegate.

## Inheritance

Direct Base Classes: AbstractPriorityDelegate < TArgs >

All Base Classes: AbstractPriorityDelegate < TArgs >

## Member Summary

Member Functions: clone, disable, equals, notify, operator =

## Types

### NotifyFunction

typedef void (* NotifyFunction)(const void *, TArgs &);

## Constructors

### FunctionPriorityDelegate

FunctionPriorityDelegate(
const FunctionPriorityDelegate & delegate
);

### FunctionPriorityDelegate

FunctionPriorityDelegate(
NotifyFunction function,
int prio
);

## Destructor

### ~FunctionPriorityDelegate

~FunctionPriorityDelegate();

## Member Functions

### clone

AbstractDelegate < TArgs > * clone() const;

### disable

void disable();

### equals

bool equals(
const AbstractDelegate < TArgs > & other
) const;

### notify

bool notify(
const void * sender,
TArgs & arguments
);

### operator =

FunctionPriorityDelegate & operator = (
const FunctionPriorityDelegate & delegate
);

## Variables

### _function

NotifyFunction _function;

### _mutex

Mutex _mutex;